Bug 1002044 - (CVE-2013-5641, CVE-2013-5642) CVE-2013-5641 CVE-2013-5642 asterisk: two denial of service flaws in the SIP channel driver (AST-2013-004, AST-2013-005)
CVE-2013-5641 CVE-2013-5642 asterisk: two denial of service flaws in the SIP ...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130827,repor...
: Security
Depends On: 1002045 1002046
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-28 07:33 EDT by Murray McAllister
Modified: 2015-01-05 12:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Murray McAllister 2013-08-28 07:33:43 EDT
Two denial of service flaws were found in Asterisk. From http://downloads.asterisk.org/pub/security/AST-2013-004.html

"A remotely exploitable crash vulnerability exists in the SIP channel driver if an ACK with SDP is received after the channel has been terminated. The handling code incorrectly assumes that the channel will always be present."

This issue affected versions 1.8.x (1.8.17.0 and above) and all 11.x versions.

From http://downloads.asterisk.org/pub/security/AST-2013-005.html

"A remotely exploitable crash vulnerability exists in the SIP channel driver if an invalid SDP is sent in a SIP request that defines media descriptions before connection information. The handling code incorrectly attempts to reference the socket address information even though that information has not yet been set."

This issue affected all versions of 1.8.x, 10.x, and 11.x.

A remote attacker could use these flaws to crash Asterisk. Patches are linked to from the below advisories. These issues affect the versions of Asterisk in Fedora and EPEL 6.

External References:

http://downloads.asterisk.org/pub/security/AST-2013-004.html

http://downloads.asterisk.org/pub/security/AST-2013-005.html
Comment 1 Murray McAllister 2013-08-28 07:36:27 EDT
Created asterisk tracking bugs for this issue:

Affects: fedora-all [bug 1002045]
Affects: epel-6 [bug 1002046]
Comment 2 Vincent Danen 2013-08-29 14:07:01 EDT
AST-2013-004 was assigned CVE-2013-5641

AST-2013-005 was assigned CVE-2013-5642
Comment 3 Fedora Update System 2013-09-13 22:35:15 EDT
asterisk-11.5.1-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2013-09-13 22:37:39 EDT
asterisk-11.5.1-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.